{% extends "djangocms_blog/base.html" %}
{% load i18n easy_thumbnails_tags %}

{% block canonical_url %}<link rel="canonical" href="{{ view.get_view_url }}"/>{% endblock canonical_url %}

{% block content_blog %}
{% block blog_title %}
{% if author or archive_date or tagged_entries or category %}
<div class="row justify-content-center mb-5 element-animate">
    <div class="col-md-8 text-center">
        {% if author %}<h2 class="text-uppercase heading border-bottom mb-4">{% trans "Articles by" %} {{ author.get_full_name }}</h2>
        {% elif archive_date %}<h2 class="text-uppercase heading border-bottom mb-4">{% trans "Archive" %} &ndash; {% if month %}{{ archive_date|date:'F' }} {% endif %}{{ year }}</h2>
        {% elif tagged_entries %}<h2 class="text-uppercase heading border-bottom mb-4">{% trans "Tag" %} &ndash; {{ tagged_entries|capfirst }}</h2>
        {% elif category %}<h2 class="text-uppercase heading border-bottom mb-4">{% trans "Category" %} &ndash; {{ category }}</h2>{% endif %}
    </div>
</div>
{% endif %}
{% endblock %}

<div class="row d-flex">
{% for post in post_list %}
        {% include "djangocms_blog/includes/blog_item_preview.html" with post=post image="true" TRUNCWORDS_COUNT=TRUNCWORDS_COUNT %}    
{% endfor %}
</div>
{% if author or archive_date or tagged_entries %}
<p class="blog-back"><a href="{% url 'djangocms_blog:posts-latest' %}">{% trans "Back" %}</a></p>
{% endif %}
{% if is_paginated %}
<nav class="{% firstof css_grid instance.css_grid %} pagination">
    {% if page_obj.has_previous %}
        <a href="?{{ view.page_kwarg }}={{ page_obj.previous_page_number }}">&laquo; {% trans "previous" %}</a>
    {% endif %}
    <span class="current">
        {% trans "Page" %} {{ page_obj.number }} {% trans "of" %} {{ paginator.num_pages }}
    </span>
    {% if page_obj.has_next %}
        <a href="?{{ view.page_kwarg }}={{ page_obj.next_page_number }}">{% trans "next" %} &raquo;</a>
    {% endif %}
</nav>
{% endif %}
{% endblock %}
